Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator.Operations
Class FullInitialiser

    java.lang.Object
      Operator.Operations.GrowInitialiser
          Operator.Operations.FullInitialiser

All Implemented Interfaces:
  CreationOperation, Operation, ParameterI, Stochastic

    public class FullInitialiser

extends GrowInitialiser

Create a genotype by growing a tree to maxDepth for all leaves

Author:
  erikhemberg

Field Summary

Fields inherited from class Operator.Operations.GrowInitialiser
`chromosome, genotype, grammar, initChromSize, maxDepth, minDepth, rng`

Constructor Summary
`FullInitialiser(RandomNumberGenerator rng, GEGrammar gegrammar, int maxDepth)` New instance
`FullInitialiser(RandomNumberGenerator rng, GEGrammar gegrammar, java.util.Properties p)` New instance

Method Summary
`java.util.ArrayList<java.lang.Integer>` | `getPossibleRules(NimbleTree<Symbol> dt, Rule rule)`

Methods inherited from class Operator.Operations.GrowInitialiser
`checkGECodonValue, createIndividual, doOperation, doOperation, getGenotype, getMaxDepth, getMinDepth, getRNG, grow, setMaxDepth, setMinDepth, setProperties, setRNG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullInitialiser

    public FullInitialiser(RandomNumberGenerator rng,
                           GEGrammar gegrammar,
                           int maxDepth)

  New instance

  Parameters:
    `rng` - random number generator
    `gegrammar` - grammatical evolution grammar (GEGrammar)
    `maxDepth` - max growth depth of tree

### FullInitialiser

    public FullInitialiser(RandomNumberGenerator rng,
                           GEGrammar gegrammar,
                           java.util.Properties p)

  New instance

  Parameters:
    `rng` - random number generator
    `gegrammar` - grammatical evolution grammar (GEGrammar)
    `p` - properties

Method Detail

### getPossibleRules

    public java.util.ArrayList<java.lang.Integer> getPossibleRules(NimbleTree<Symbol> dt,
                                                                   Rule rule)

  Overrides:
    `getPossibleRules` in class `GrowInitialiser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD